<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="generator" content="pandoc">
  <title>Ma présentation BUNIGE</title>
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no, minimal-ui">
  <link rel="stylesheet" href="https://unpkg.com/reveal.js@^4//dist/reset.css">
  <link rel="stylesheet" href="https://unpkg.com/reveal.js@^4//dist/reveal.css">
  <style>
    .reveal .sourceCode {  /* see #7635 */
      overflow: visible;
    }
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    div.columns{display: flex; gap: min(4vw, 1.5em);}
    div.column{flex: auto; overflow-x: auto;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    /* The extra [class] is a hack that increases specificity enough to
       override a similar rule in reveal.js */
    ul.task-list[class]{list-style: none;}
    ul.task-list li input[type="checkbox"] {
      font-size: inherit;
      width: 0.8em;
      margin: 0 0.8em 0.2em -1.6em;
      vertical-align: middle;
    }
    .display.math{display: block; text-align: center; margin: 0.5rem auto;}
    /* CSS for syntax highlighting */
    pre > code.sourceCode { white-space: pre; position: relative; }
    pre > code.sourceCode > span { line-height: 1.25; }
    pre > code.sourceCode > span:empty { height: 1.2em; }
    .sourceCode { overflow: visible; }
    code.sourceCode > span { color: inherit; text-decoration: inherit; }
    div.sourceCode { margin: 1em 0; }
    pre.sourceCode { margin: 0; }
    @media screen {
    div.sourceCode { overflow: auto; }
    }
    @media print {
    pre > code.sourceCode { white-space: pre-wrap; }
    pre > code.sourceCode > span { display: inline-block; text-indent: -5em; padding-left: 5em; }
    }
    pre.numberSource code
      { counter-reset: source-line 0; }
    pre.numberSource code > span
      { position: relative; left: -4em; counter-increment: source-line; }
    pre.numberSource code > span > a:first-child::before
      { content: counter(source-line);
        position: relative; left: -1em; text-align: right; vertical-align: baseline;
        border: none; display: inline-block;
        -webkit-touch-callout: none; -webkit-user-select: none;
        -khtml-user-select: none; -moz-user-select: none;
        -ms-user-select: none; user-select: none;
        padding: 0 4px; width: 4em;
      }
    pre.numberSource { margin-left: 3em;  padding-left: 4px; }
    div.sourceCode
      { color: #cccccc; background-color: #303030; }
    @media screen {
    pre > code.sourceCode > span > a:first-child::before { text-decoration: underline; }
    }
    code span.al { color: #ffcfaf; } /* Alert */
    code span.an { color: #7f9f7f; font-weight: bold; } /* Annotation */
    code span.at { } /* Attribute */
    code span.bn { color: #dca3a3; } /* BaseN */
    code span.bu { } /* BuiltIn */
    code span.cf { color: #f0dfaf; } /* ControlFlow */
    code span.ch { color: #dca3a3; } /* Char */
    code span.cn { color: #dca3a3; font-weight: bold; } /* Constant */
    code span.co { color: #7f9f7f; } /* Comment */
    code span.cv { color: #7f9f7f; font-weight: bold; } /* CommentVar */
    code span.do { color: #7f9f7f; } /* Documentation */
    code span.dt { color: #dfdfbf; } /* DataType */
    code span.dv { color: #dcdccc; } /* DecVal */
    code span.er { color: #c3bf9f; } /* Error */
    code span.ex { } /* Extension */
    code span.fl { color: #c0bed1; } /* Float */
    code span.fu { color: #efef8f; } /* Function */
    code span.im { } /* Import */
    code span.in { color: #7f9f7f; font-weight: bold; } /* Information */
    code span.kw { color: #f0dfaf; } /* Keyword */
    code span.op { color: #f0efd0; } /* Operator */
    code span.ot { color: #efef8f; } /* Other */
    code span.pp { color: #ffcfaf; font-weight: bold; } /* Preprocessor */
    code span.sc { color: #dca3a3; } /* SpecialChar */
    code span.ss { color: #cc9393; } /* SpecialString */
    code span.st { color: #cc9393; } /* String */
    code span.va { } /* Variable */
    code span.vs { color: #cc9393; } /* VerbatimString */
    code span.wa { color: #7f9f7f; font-weight: bold; } /* Warning */
  </style>
  <link rel="stylesheet" href="https://unpkg.com/reveal.js@^4//dist/theme/black.css" id="theme">
  <link rel="stylesheet" href="dist/theme/bunige.css"/>
</head>
<body>
<div class="reveal">
<div class="slides">
<section id="title-slide">
  <h1 class="title">Ma présentation BUNIGE</h1>
  <h2 class="subtitle">Une démo</h2>
<ul class="bunige-author bunige-list-inline">
<li><a href="mailto:Présentateur-trice@unige.ch">Présentateur/trice</a></li>
<li>Ici, 
<time>le 9 février 2024</time></li>
<li><a href="https://creativecommons.org/licenses/by-sa/4.0/">CC-BY-SA
4.0</a></li>
<li><a href="https://example.org" title="Sources de la présentation">source</a></li>
</ul>
</section>
<section id="plan" class="slide level2">
<h2>Plan</h2>
<ol type="1">
<li><a href="#/partie-1">Partie 1</a>.</li>
<li><a href="#/partie-2">Partie 2</a>.</li>
</ol>
</section>
<section>
<section id="partie-1" class="title-slide slide level1">
<h1>Partie 1</h1>

</section>
<section id="reveal-js-et-pandoc" class="slide level2">
<h2><span class="bunige-code-inline"><code>reveal-js</code></span> et
<span class="bunige-code-inline"><code>pandoc</code></span></h2>
<ul>
<li>Rédige tes <em>slides</em> en markdown.</li>
<li>Converti ton markdown en un fichier HTML suivant le modèle de <span
class="bunige-code-inline"><code>reveal-js</code></span>.</li>
<li>Mais avec une version proche de la charte graphique de l’UNIGE.</li>
<li>Un exemple est donnée dans le fichier <span
class="bunige-code-inline"><code>./bunige-demo.md</code></span>.</li>
</ul>
</section>
<section class="slide level2">

<ul>
<li>Un lien : <a href="https://example.org"
class="uri">https://example.org</a>.</li>
<li>Texte préformaté : <span
class="bunige-code-inline"><code>preformated</code></span></li>
</ul>
</section>
<section id="des-classes-en-markdown" class="slide level2">
<h2>Des classes en markdown ?</h2>
<p>Pour ajouter une classe à un élément en ligne en <span
class="bunige-code-inline"><code>pandoc</code></span> markdown, voici
comment faire :</p>
<div class="sourceCode" id="cb1"><pre
class="sourceCode markdown"><code class="sourceCode markdown"><span id="cb1-1"><a href="#cb1-1" aria-hidden="true" tabindex="-1"></a>Un peu de <span class="co">[</span><span class="ot">texte</span><span class="co">]</span>{.class} en ligne.</span></code></pre></div>
<p>Ce qui donne :</p>
<div class="sourceCode" id="cb2"><pre
class="sourceCode html"><code class="sourceCode html"><span id="cb2-1"><a href="#cb2-1" aria-hidden="true" tabindex="-1"></a><span class="dt">&lt;</span><span class="kw">p</span><span class="dt">&gt;</span>Un peu de <span class="dt">&lt;</span><span class="kw">span</span><span class="ot"> class</span><span class="op">=</span><span class="st">&quot;.class&quot;</span><span class="dt">&gt;</span>texte<span class="dt">&lt;/</span><span class="kw">span</span><span class="dt">&gt;</span> en ligne.</span></code></pre></div>
</section>
<section class="slide level2">

<p>Un joli texte avant une belle image.</p>
<figure>
<img
data-src="https://www.unige.ch/biblio/files/cache/d7d5b0a60baf07a4ad8534ad20b9839c_f9197.jpg"
alt="Légende de l’image" />
<figcaption aria-hidden="true">Légende de l’image</figcaption>
</figure>
</section></section>
<section>
<section id="partie-2" class="title-slide slide level1">
<h1>Partie 2</h1>

</section>
<section class="slide level2">

<p>Un exemple de code :</p>
<div class="sourceCode" id="cb3" data-startFrom="70"><pre
class="sourceCode numberSource html number-lines"><code class="sourceCode html" style="counter-reset: source-line 69;"><span id="cb3-70"><a href="#cb3-70"></a><span class="dt">&lt;</span><span class="kw">code</span><span class="ot"> class</span><span class="op">=</span><span class="st">&quot;bunige-code-inline&quot;</span><span class="dt">&gt;</span>Texte préformaté.<span class="dt">&lt;/</span><span class="kw">code</span><span class="dt">&gt;</span></span>
<span id="cb3-71"><a href="#cb3-71"></a><span class="dt">&lt;</span><span class="kw">figure</span><span class="dt">&gt;</span></span>
<span id="cb3-72"><a href="#cb3-72"></a>    <span class="dt">&lt;</span><span class="kw">img</span><span class="ot"> src</span><span class="op">=</span><span class="st">&quot;./img.jpeg&quot;</span><span class="ot"> alt</span><span class="op">=</span><span class="st">&quot;alternate text&quot;</span><span class="dt">&gt;</span></span>
<span id="cb3-73"><a href="#cb3-73"></a>    <span class="dt">&lt;</span><span class="kw">figcaption</span><span class="dt">&gt;</span>Figure caption.<span class="dt">&lt;/</span><span class="kw">figcaption</span><span class="dt">&gt;</span></span>
<span id="cb3-74"><a href="#cb3-74"></a><span class="dt">&lt;/</span><span class="kw">figure</span><span class="dt">&gt;</span></span></code></pre></div>
</section>
<section id="image-de-fond" class="slide level2"
data-background-image="https://www.unige.ch/biblio/files/cache/d7d5b0a60baf07a4ad8534ad20b9839c_f9197.jpg"
data-background-opacity="0.5">
<h2
data-background-image="https://www.unige.ch/biblio/files/cache/d7d5b0a60baf07a4ad8534ad20b9839c_f9197.jpg"
data-background-opacity="0.5">Image de fond</h2>
<p>Avec un degré de transparence de <span
class="bunige-code-inline"><code>0.5</code></span></p>
</section>
<section class="slide level2">

<div class="r-fit-text bunige-color">
<p>Merci !</p>
</div>
</section></section>
</div>
</div>
<script src="https://unpkg.com/reveal.js@^4//dist/reveal.js"></script>
<!-- reveal.js plugins -->
<script src="https://unpkg.com/reveal.js@^4//plugin/notes/notes.js"></script>
<script src="https://unpkg.com/reveal.js@^4//plugin/search/search.js"></script>
<script src="https://unpkg.com/reveal.js@^4//plugin/zoom/zoom.js"></script>
  <script>

      // Full list of configuration options available at:
      // https://revealjs.com/config/
      Reveal.initialize({
        // Display controls in the bottom right corner
        controls: true,

        // Help the user learn the controls by providing hints, for example by
        // bouncing the down arrow when they first encounter a vertical slide
        controlsTutorial: true,

        // Determines where controls appear, "edges" or "bottom-right"
        controlsLayout: 'bottom-right',

        // Visibility rule for backwards navigation arrows; "faded", "hidden"
        // or "visible"
        controlsBackArrows: 'faded',

        // Display a presentation progress bar
        progress: true,

        // Display the page number of the current slide
        slideNumber: false,

        // 'all', 'print', or 'speaker'
        showSlideNumber: 'all',

        // Add the current slide number to the URL hash so that reloading the
        // page/copying the URL will return you to the same slide
        hash: true,

        // Start with 1 for the hash rather than 0
        hashOneBasedIndex: false,

        // Flags if we should monitor the hash and change slides accordingly
        respondToHashChanges: true,

        // Push each slide change to the browser history
        history: false,

        // Enable keyboard shortcuts for navigation
        keyboard: true,

        // Enable the slide overview mode
        overview: true,

        // Disables the default reveal.js slide layout (scaling and centering)
        // so that you can use custom CSS layout
        disableLayout: false,

        // Vertical centering of slides
        center: true,

        // Enables touch navigation on devices with touch input
        touch: true,

        // Loop the presentation
        loop: false,

        // Change the presentation direction to be RTL
        rtl: false,

        // see https://revealjs.com/vertical-slides/#navigation-mode
        navigationMode: 'default',

        // Randomizes the order of slides each time the presentation loads
        shuffle: false,

        // Turns fragments on and off globally
        fragments: true,

        // Flags whether to include the current fragment in the URL,
        // so that reloading brings you to the same fragment position
        fragmentInURL: true,

        // Flags if the presentation is running in an embedded mode,
        // i.e. contained within a limited portion of the screen
        embedded: false,

        // Flags if we should show a help overlay when the questionmark
        // key is pressed
        help: true,

        // Flags if it should be possible to pause the presentation (blackout)
        pause: true,

        // Flags if speaker notes should be visible to all viewers
        showNotes: false,

        // Global override for autoplaying embedded media (null/true/false)
        autoPlayMedia: null,

        // Global override for preloading lazy-loaded iframes (null/true/false)
        preloadIframes: null,

        // Number of milliseconds between automatically proceeding to the
        // next slide, disabled when set to 0, this value can be overwritten
        // by using a data-autoslide attribute on your slides
        autoSlide: 0,

        // Stop auto-sliding after user input
        autoSlideStoppable: true,

        // Use this method for navigation when auto-sliding
        autoSlideMethod: null,

        // Specify the average time in seconds that you think you will spend
        // presenting each slide. This is used to show a pacing timer in the
        // speaker view
        defaultTiming: null,

        // Enable slide navigation via mouse wheel
        mouseWheel: false,

        // The display mode that will be used to show slides
        display: 'block',

        // Hide cursor if inactive
        hideInactiveCursor: true,

        // Time before the cursor is hidden (in ms)
        hideCursorTime: 5000,

        // Opens links in an iframe preview overlay
        previewLinks: false,

        // Transition style (none/fade/slide/convex/concave/zoom)
        transition: 'slide',

        // Transition speed (default/fast/slow)
        transitionSpeed: 'default',

        // Transition style for full page slide backgrounds
        // (none/fade/slide/convex/concave/zoom)
        backgroundTransition: 'fade',

        // Number of slides away from the current that are visible
        viewDistance: 3,

        // Number of slides away from the current that are visible on mobile
        // devices. It is advisable to set this to a lower number than
        // viewDistance in order to save resources.
        mobileViewDistance: 2,

        // reveal.js plugins
        plugins: [
          RevealNotes,
          RevealSearch,
          RevealZoom
        ]
      });
    </script>
    </body>
</html>
